@Generated(value="org.apache.camel.maven.packaging.EndpointDslMojo") public interface MustacheEndpointBuilderFactory
| Modifier and Type | Interface and Description |
|---|---|
static interface |
MustacheEndpointBuilderFactory.AdvancedMustacheEndpointBuilder
Advanced builder for endpoint for the Mustache component.
|
static interface |
MustacheEndpointBuilderFactory.MustacheBuilders |
static interface |
MustacheEndpointBuilderFactory.MustacheEndpointBuilder
Builder for endpoint for the Mustache component.
|
| Modifier and Type | Method and Description |
|---|---|
static MustacheEndpointBuilderFactory.MustacheEndpointBuilder |
mustache(String path)
Mustache (camel-mustache)
Transforms the message using a Mustache template.
|
static MustacheEndpointBuilderFactory.MustacheEndpointBuilder mustache(String path)
mustache:resourceUri
Path parameter: resourceUri (required)
Path to the resource. You can prefix with: classpath, file, http, ref, or
bean. classpath, file and http loads the resource using these protocols
(classpath is default). ref will lookup the resource in the registry.
bean will call a method on a bean to be used as the resource. For bean
you can specify the method name after dot, eg bean:myBean.myMethod.Apache Camel